package org.jeecg.modules.pay.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Data
@Component
@PropertySource("classpath:pay_weixin.properties")
@ConfigurationProperties(prefix = "pay")
public class WxPay {

    /**
     * 微信支付mchId
     */
    public String mchId;

    /**
     * app支付appId JS支付openId
     */
    public String appId;

    /**
     * 微信支付mchKey
     */
    public String mchKey;

    /**
     * 回调地址
     */
    public String notifyUrl;

    /**
     * 回调地址dev
     */
    public String notifyUrlDev;

    /**
     * 签名类型
     */
    public String signType;

	/**
	 * 支付证书路径
	 */
	public String keyPath;

    /**
     * 回调地址
     */
    public String notifyOrderUrl;

    /**
     * 回调地址dev
     */
    public String notifyOrderUrlDev;










}
