import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '反馈内容',
    align:"center",
    dataIndex: 'content',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '反馈内容',
    field: 'content',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'Input',
  },
];
