import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '创建日期',
    align:"center",
    sorter: true,
    dataIndex: 'createTime'
   },
   {
    title: '积分标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '积分',
    align:"center",
    dataIndex: 'score'
   },
   {
    title: '积分类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "积分类型",
      field: "type",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"employ_bill"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '积分标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '积分',
    field: 'score',
    component: 'InputNumber',
  },
  {
    label: '积分类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_bill"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
