import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '创建日期',
    align:"center",
    sorter: true,
    dataIndex: 'createTime'
   },
   {
    title: '昵称',
    align:"center",
    dataIndex: 'nickName'
   },
   {
    title: '用户头像',
    align:"center",
    dataIndex: 'headImage',
    customRender:render.renderAvatar,
   },
   {
    title: '手机号码',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '登录账号',
    align:"center",
    dataIndex: 'account'
   },
   {
    title: '登录密码',
    align:"center",
    dataIndex: 'password'
   },
   {
    title: '角色',
    align:"center",
    dataIndex: 'role'
   },
   {
    title: '小程序标识',
    align:"center",
    dataIndex: 'appletOpenid'
   },
   {
    title: '积分',
    align:"center",
    dataIndex: 'integerPrice'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '昵称',
    field: 'nickName',
    component: 'Input',
  },
  {
    label: '用户头像',
    field: 'headImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '手机号码',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '登录账号',
    field: 'account',
    component: 'Input',
  },
  {
    label: '登录密码',
    field: 'password',
    component: 'Input',
  },
  {
    label: '角色',
    field: 'role',
    component: 'Input',
  },
  {
    label: '小程序标识',
    field: 'appletOpenid',
    component: 'Input',
  },
  {
    label: '积分',
    field: 'integerPrice',
    component: 'InputNumber',
  },
];
