package org.jeecg.modules.api.controller2;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.ShareService;
import org.jeecg.modules.apiService.VipService;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="VIP相关接口")
@RestController
@RequestMapping("/employ/vip")
@Slf4j
public class VipController {

    /******************************************************************************************************************/
    //积分信息
    @Resource
    private VipService vipService;
    /******************************************************************************************************************/

    //开通VIP
    @ApiOperation(value="开通VIP", notes="开通VIP")
    @RequestMapping(value = "/addVIP", method = {RequestMethod.POST})
    public Result<?> addVIP(@RequestHeader("X-Access-Token") String token, String vipTypeId){
        return vipService.addVIP(token, vipTypeId);
    }

}
