package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employRedister.entity.EmployRedister;

public interface ExaminationService {

    /**
     * 考证咨询-证书查询
     * @param pageBean
     * @return
     */
    public Result<?> queryCertList(PageBean pageBean);

    /**
     * 考证咨询-证书详情
     * @param cerNo
     * @return
     */
    public Result<?> queryCertById(String cerNo);

    /**
     * 考证咨询-提交报名材料
     * @param token
     * @param employRedister
     * @return
     */
    public Result<?> addMaterial(String token, EmployRedister employRedister);

}
