package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employExchange.entity.EmployExchange;

public interface ExchangeService {


    /**
     *我的服务-查询兑换码列表
     * @param pageBean
     * @return
     */
    public Result<?> queryExchangeList(PageBean pageBean);

    /**
     * 我的服务-使用兑换码
     * @param token
     * @param code
     * @return
     */
    public Result<?> useExchange(String token, String code);

    /**
     * 我的服务-生成兑换码
     * @return
     */
    public Result<?> addExchange(EmployExchange employExchange);

}
