import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '证书图片',
    align:"center",
    dataIndex: 'headImage',
    customRender:render.renderAvatar,
   },
   {
    title: '证书名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '证书概要',
    align:"center",
    dataIndex: 'summary',
    slots: { customRender: 'htmlSlot' },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '证书图片',
    field: 'headImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '证书名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '证书概要',
    field: 'summary',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
];
