import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '工种名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '工种图标',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '排序字段',
    align:"center",
    dataIndex: 'typeOrder'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '工种名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '工种图标',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '排序字段',
    field: 'typeOrder',
    component: 'InputNumber',
  },
];
