import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '订单号',
    align:"center",
    dataIndex: 'payNo'
   },
   {
    title: '订单状态',
    align:"center",
    dataIndex: 'status'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '关联会员类型',
    align:"center",
    dataIndex: 'vipTypeId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '订单号',
    field: 'payNo',
    component: 'Input',
  },
  {
    label: '订单状态',
    field: 'status',
    component: 'Input',
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '关联会员类型',
    field: 'vipTypeId',
    component: 'Input',
  },
];
