package org.jeecg.modules.api.controller2;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.ScoreService;
import org.jeecg.modules.apiService.ShareService;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="面对面分享相关接口")
@RestController
@RequestMapping("/employ/share")
@Slf4j
public class ShareController {

    /******************************************************************************************************************/
    //积分信息
    @Resource
    private ShareService shareService;
    /******************************************************************************************************************/

    //我的服务-面对面分享
    @ApiOperation(value="我的服务-面对面分享", notes="我的服务-面对面分享")
    @RequestMapping(value = "/getInviteCode", method = {RequestMethod.POST})
    public Result<?> getInviteCode(@RequestHeader("X-Access-Token") String token){
        return shareService.getInviteCode(token);
    }

}