package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.springframework.web.bind.annotation.RequestHeader;

public interface CollectionService {

    /**
     * 我的收藏-收藏工作信息
     * @param token
     * @param pageBean
     * @return
     */
    public Result<?> queryJobCollectionList(String token, PageBean pageBean);

    /**
     * 我的收藏-添加工作收藏
     * @param token
     * @param jobId
     * @return
     */
    public Result<?> addJobCollection(String token, String jobId);

    /**
     * 我的收藏-收藏简历信息
     * @param token
     * @param pageBean
     * @return
     */
    public Result<?> queryResumeCollectionList(String token, PageBean pageBean);

    /**
     * 我的收藏-添加简历收藏
     * @param token
     * @param resumeId
     * @return
     */
    public Result<?> addResumeCollection(String token, String resumeId);

}
