package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.employAhthenticationCompany.entity.EmployAhthenticationCompany;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface CompanyService {

    /**
     * 查看企业信息
     * @return
     */
    public Result<?> queryCompany(String token);

    /**
     * 修改企业信息
     * @return
     */
    public Result<?> updateCompany(String token, EmployAhthenticationCompany company);

}
