package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employContract.entity.EmployContract;

public interface ContractService {

    /**
     * 电子合同-获取电子合同列表
     * @param token
     * @param role
     * @param employContract
     * @param pageBean
     * @return
     */
    public Result<?> queryContractList(String token, String role, EmployContract employContract, PageBean pageBean);

    /**
     * 电子合同-获取电子合同详情
     * @param token
     * @param contractId
     * @return
     */
    public Result<?> queryContracById(String token, String contractId);

}
