package org.jeecg.modules.postBean;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderPayBean {

    //订单标识
    private String orderId;

    //地址标识
    private String addressId;

    //出行方式 0:免费 1:付费
    private Integer travelType;

    //出行距离
    private BigDecimal travelDistance;

    //服务时间标识
    private String serviceTime;

    //订单备注
    private String remark;

    //优惠券标识
    private String couponId;

    //支付方式 0微信 1余额
    private Integer payType;
}
